/*
 * IpatchAudioFile.h - libaudiofile sample file type
 *
 * libInstPatch
 * Copyright (C) 1999-2005 Josh Green <jgreen@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2
 * of the License only.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA or point your web browser to http://www.gnu.org.
 */
#ifndef __IPATCH_AUDIO_FILE_H__
#define __IPATCH_AUDIO_FILE_H__

#include <glib.h>
#include <glib-object.h>
#include <libinstpatch/IpatchSampleFile.h>
#include <libinstpatch/IpatchSampleStore.h>

#include <audiofile.h>

#define IPATCH_TYPE_AUDIO_FILE (ipatch_audio_file_get_type ())
#define IPATCH_AUDIO_FILE(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), IPATCH_TYPE_AUDIO_FILE, IpatchAudioFile))

typedef struct
{
  IpatchSampleFile parent_instance;
  AFfilehandle handle;
} IpatchAudioFile;

typedef struct
{
  IpatchSampleFileClass parent_class;
} IpatchAudioFileClass;

GType ipatch_audio_file_get_type (void);
IpatchFile *ipatch_audio_file_new (void);

#endif
