/*
 * IpatchConvert_DLS2.h - DLS conversion types
 *
 * libInstPatch
 * Copyright (C) 1999-2005 Josh Green <jgreen@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2
 * of the License only.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA or point your web browser to http://www.gnu.org.
 *
 */
#ifndef __IPATCH_CONVERT_DLS2_H__
#define __IPATCH_CONVERT_DLS2_H__

#include <glib.h>
#include <glib-object.h>
#include <libinstpatch/IpatchConverter.h>

typedef IpatchConverter IpatchConverterDLS2ToFile;
typedef IpatchConverterClass IpatchConverterDLS2ToFileClass;
typedef IpatchConverter IpatchConverterFileToDLS2;
typedef IpatchConverterClass IpatchConverterFileToDLS2Class;
typedef IpatchConverter IpatchConverterSampleFileToDLS2Sample;
typedef IpatchConverterClass IpatchConverterSampleFileToDLS2SampleClass;


#define IPATCH_TYPE_CONVERTER_DLS2_TO_FILE \
  (ipatch_converter_dls2_to_file_get_type ())
#define IPATCH_TYPE_CONVERTER_FILE_TO_DLS2 \
  (ipatch_converter_file_to_dls2_get_type ())
#define IPATCH_TYPE_CONVERTER_SAMPLE_FILE_TO_DLS2_SAMPLE \
  (ipatch_converter_sample_file_to_dls2_sample_get_type ())


GType ipatch_converter_dls2_to_file_get_type (void);
GType ipatch_converter_file_to_dls2_get_type (void);
GType ipatch_converter_sample_file_to_dls2_sample_get_type (void);

#endif
