/*
 * IpatchConvert_Gig.h - GigaSampler conversion handlers
 *
 * libInstPatch
 * Copyright (C) 1999-2005 Josh Green <jgreen@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2
 * of the License only.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA or point your web browser to http://www.gnu.org.
 *
 */
#ifndef __IPATCH_CONVERT_GIG_H__
#define __IPATCH_CONVERT_GIG_H__

#include <glib.h>
#include <glib-object.h>
#include <libinstpatch/IpatchConverter.h>

typedef IpatchConverter IpatchConverterGigToFile;
typedef IpatchConverterClass IpatchConverterGigToFileClass;

typedef IpatchConverter IpatchConverterFileToGig;
typedef IpatchConverterClass IpatchConverterFileToGigClass;

#define IPATCH_TYPE_CONVERTER_GIG_TO_FILE \
  (ipatch_converter_gig_to_file_get_type ())

#define IPATCH_TYPE_CONVERTER_FILE_TO_GIG \
  (ipatch_converter_file_to_gig_get_type ())

GType ipatch_converter_gig_to_file_get_type (void);
GType ipatch_converter_file_to_gig_get_type (void);

#endif
