/*
 * IpatchCramDecoderConverter.h - Cram decoder converter object
 *
 * libInstPatch
 * Copyright (C) 1999-2005 Josh Green <jgreen@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2
 * of the License only.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA or point your web browser to http://www.gnu.org.
 *
 */
#ifndef __IPATCH_CRAM_DECODER_CONVERTER_H__
#define __IPATCH_CRAM_DECODER_CONVERTER_H__

#include <glib.h>
#include <glib-object.h>
#include <libinstpatch/IpatchConverter.h>
#include <libinstpatch/IpatchCramDecoder.h>

typedef struct _IpatchCramDecoderConverter IpatchCramDecoderConverter;
typedef struct _IpatchCramDecoderConverterClass IpatchCramDecoderConverterClass;

#define IPATCH_TYPE_CRAM_DECODER_CONVERTER  \
  (ipatch_cram_decoder_converter_get_type ())
#define IPATCH_CRAM_DECODER_CONVERTER(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), IPATCH_TYPE_CRAM_DECODER_CONVERTER, \
   IpatchCramDecoderConverter))
#define IPATCH_CRAM_IS_DECODER_CONVERTER(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), IPATCH_TYPE_CRAM_DECODER_CONVERTER))

/* Cram decoder converter instance */
struct _IpatchCramDecoderConverter
{
  IpatchConverter parent_instance; /* derived from IpatchConverter */
  IpatchCramDecoder *decoder;		/* cram decoder instance */
  char *path;			/* path to extract CRAM archive to */
  gboolean strip_paths;         /* remove paths from extracted files */
};

/* Cram decoder converter class */
struct _IpatchCramDecoderConverterClass
{
  IpatchConverterClass parent_class;
};

GType ipatch_cram_decoder_converter_get_type (void);
IpatchConverter *ipatch_cram_decoder_converter_new (void);

#endif
