/*
 * IpatchCramFile.h - Cram file object type
 *
 * libInstPatch
 * Copyright (C) 1999-2005 Josh Green <jgreen@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2
 * of the License only.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA or point your web browser to http://www.gnu.org.
 */
#ifndef __IPATCH_CRAM_FILE_H__
#define __IPATCH_CRAM_FILE_H__

#include <glib.h>
#include <glib-object.h>
#include <libinstpatch/IpatchFile.h>

typedef struct _IpatchCramFile IpatchCramFile;
typedef struct _IpatchCramFileClass IpatchCramFileClass;

#define IPATCH_TYPE_CRAM_FILE   (ipatch_cram_file_get_type ())
#define IPATCH_CRAM_FILE(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), IPATCH_TYPE_CRAM_FILE, IpatchCramFile))
#define IPATCH_CRAM_IS_FILE(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), IPATCH_TYPE_CRAM_FILE))

/* Cram file object (derived from IpatchFile) */
struct _IpatchCramFile
{
  IpatchFile parent_instance;
};

/* Cram file class (derived from IpatchFile) */
struct _IpatchCramFileClass
{
  IpatchFileClass parent_class;
};

GType ipatch_cram_file_get_type (void);
IpatchCramFile *ipatch_cram_file_new (void);

#endif
