/*
 * IpatchSF2IZone.h - Header for SoundFont preset zone item
 *
 * libInstPatch
 * Copyright (C) 1999-2005 Josh Green <jgreen@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2
 * of the License only.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA or point your web browser to http://www.gnu.org.
 *
 */
#ifndef __IPATCH_SF2_IZONE_H__
#define __IPATCH_SF2_IZONE_H__

#include <stdarg.h>
#include <glib.h>
#include <glib-object.h>
#include <libinstpatch/IpatchSF2Zone.h>
#include <libinstpatch/IpatchSF2Sample.h>

/* forward type declarations */

typedef struct _IpatchSF2IZone IpatchSF2IZone;
typedef struct _IpatchSF2IZoneClass IpatchSF2IZoneClass;

#define IPATCH_TYPE_SF2_IZONE   (ipatch_sf2_izone_get_type ())
#define IPATCH_SF2_IZONE(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), IPATCH_TYPE_SF2_IZONE, \
  IpatchSF2IZone))
#define IPATCH_SF2_IZONE_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), IPATCH_TYPE_SF2_IZONE, \
  IpatchSF2IZoneClass))
#define IPATCH_IS_SF2_IZONE(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), IPATCH_TYPE_SF2_IZONE))
#define IPATCH_IS_SF2_IZONE_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), IPATCH_TYPE_SF2_IZONE))
#define IPATCH_SF2_IZONE_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), IPATCH_TYPE_SF2_IZONE, \
  IpatchSF2IZoneClass))

/* SoundFont izone item */
struct _IpatchSF2IZone
{
  IpatchSF2Zone parent_instance;
};

struct _IpatchSF2IZoneClass
{
  IpatchSF2ZoneClass parent_class;
};

GType ipatch_sf2_izone_get_type (void);
IpatchSF2IZone *ipatch_sf2_izone_new (void);

IpatchSF2IZone *ipatch_sf2_izone_first (IpatchIter *iter);
IpatchSF2IZone *ipatch_sf2_izone_next (IpatchIter *iter);

void ipatch_sf2_izone_set_sample (IpatchSF2IZone *izone,
				  IpatchSF2Sample *sample);
IpatchSF2Sample *ipatch_sf2_izone_ref_sample (IpatchSF2IZone *izone);

#endif
