/*
 * IpatchSampleStoreRAM.h - Header for RAM sample store type
 *
 * libInstPatch
 * Copyright (C) 1999-2005 Josh Green <jgreen@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2
 * of the License only.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA or point your web browser to http://www.gnu.org.
 */
#ifndef __IPATCH_SAMPLE_STORE_RAM_H__
#define __IPATCH_SAMPLE_STORE_RAM_H__

#include <glib.h>
#include <glib-object.h>
#include <libinstpatch/IpatchSampleStore.h>

/* forward type declarations */

typedef struct _IpatchSampleStoreRAM IpatchSampleStoreRAM;
typedef struct _IpatchSampleStoreRAMClass IpatchSampleStoreRAMClass;

#define IPATCH_TYPE_SAMPLE_STORE_RAM (ipatch_sample_store_RAM_get_type ())
#define IPATCH_SAMPLE_STORE_RAM(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), IPATCH_TYPE_SAMPLE_STORE_RAM, \
  IpatchSampleStoreRAM))
#define IPATCH_SAMPLE_STORE_RAM_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), IPATCH_TYPE_SAMPLE_STORE_RAM, \
  IpatchSampleStoreRAMClass))
#define IPATCH_IS_SAMPLE_STORE_RAM(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), IPATCH_TYPE_SAMPLE_STORE_RAM))
#define IPATCH_IS_SAMPLE_STORE_RAM_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), IPATCH_TYPE_SAMPLE_STORE_RAM))

/* RAM sample store instance */
struct _IpatchSampleStoreRAM
{
  IpatchSampleStore parent_instance;
  gpointer data;
};

/* RAM sample store class */
struct _IpatchSampleStoreRAMClass
{
  IpatchSampleStoreClass parent_class;
};

/* we reserve 1 bit for private flag (IpatchSampleStoreRAM.c) */
#define IPATCH_SAMPLE_STORE_RAM_UNUSED_FLAG_SHIFT \
  (IPATCH_SAMPLE_STORE_UNUSED_FLAG_SHIFT + 1)

GType ipatch_sample_store_RAM_get_type (void);
IpatchSampleStore *ipatch_sample_store_RAM_new (void);
void ipatch_sample_store_RAM_set_location (IpatchSampleStore *store,
					   gpointer location);
gpointer ipatch_sample_store_RAM_get_location (IpatchSampleStore *store);

#endif
