/*
 * IpatchSampleStoreROM.h - Header for ROM sample store
 *
 * libInstPatch
 * Copyright (C) 1999-2005 Josh Green <jgreen@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2
 * of the License only.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA or point your web browser to http://www.gnu.org.
 */
#ifndef __IPATCH_SAMPLE_STORE_ROM_H__
#define __IPATCH_SAMPLE_STORE_ROM_H__

#include <glib.h>
#include <glib-object.h>
#include <libinstpatch/IpatchSampleStore.h>

typedef struct _IpatchSampleStoreROM IpatchSampleStoreROM;
typedef struct _IpatchSampleStoreROMClass IpatchSampleStoreROMClass;

#define IPATCH_TYPE_SAMPLE_STORE_ROM (ipatch_sample_store_ROM_get_type ())
#define IPATCH_SAMPLE_STORE_ROM(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), IPATCH_TYPE_SAMPLE_STORE_ROM, \
  IpatchSampleStoreROM))
#define IPATCH_SAMPLE_STORE_ROM_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), IPATCH_TYPE_SAMPLE_STORE_ROM, \
  IpatchSampleStoreROMClass))
#define IPATCH_IS_SAMPLE_STORE_ROM(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), IPATCH_TYPE_SAMPLE_STORE_ROM))
#define IPATCH_IS_SAMPLE_STORE_ROM_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), IPATCH_TYPE_SAMPLE_STORE_ROM))

/* ROM sample store instance */
struct _IpatchSampleStoreROM
{
  IpatchSampleStore parent_instance;
  guint rom_pos;
};

/* ROM sample store class */
struct _IpatchSampleStoreROMClass
{
  IpatchSampleStoreClass parent_class;
};

/* we reserve 1 private flag (IpatchSampleStoreROM.c) */
#define IPATCH_SAMPLE_STORE_ROM_UNUSED_FLAG_SHIFT \
  (IPATCH_SAMPLE_STORE_UNUSED_FLAG_SHIFT + 1)

GType ipatch_sample_store_ROM_get_type (void);
IpatchSampleStore *ipatch_sample_store_ROM_new (void);
void ipatch_sample_store_ROM_set_location (IpatchSampleStore *store,
					   guint location);
guint ipatch_sample_store_ROM_get_location (IpatchSampleStore *store);

#endif
