/*
 * IpatchUnit_DLS.h - DLS (Downloadable Sounds) parameter unit stuff
 *
 * libInstPatch
 * Copyright (C) 1999-2005 Josh Green <jgreen@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2
 * of the License only.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA or point your web browser to http://www.gnu.org.
 *
 */
#ifndef __IPATCH_UNIT_DLS_H__
#define __IPATCH_UNIT_DLS_H__

#include <glib.h>
#include <glib-object.h>

int ipatch_unit_dls_class_convert (guint16 src_units, const GValue *src_val);

float ipatch_unit_tenth_percent_to_percent (int tenth_percent);
int ipatch_unit_percent_to_tenth_percent (float percent);
float ipatch_unit_dls_gain_to_decibel (int dls_gain);
int ipatch_unit_decibel_to_dls_gain (float db);
float ipatch_unit_dls_abs_time_to_seconds (int dls_abs_time);
int ipatch_unit_seconds_to_dls_abs_time (float seconds);
float ipatch_unit_dls_abs_pitch_to_hertz (int dls_abs_pitch);
int ipatch_unit_hertz_to_dls_abs_pitch (float hertz);

#endif
