/*
 * IpatchUnit_SF2.h - SoundFont2 parameter unit stuff
 *
 * libInstPatch
 * Copyright (C) 1999-2005 Josh Green <jgreen@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2
 * of the License only.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA or point your web browser to http://www.gnu.org.
 *
 */
#ifndef __IPATCH_UNIT_SF2_H__
#define __IPATCH_UNIT_SF2_H__

#include <glib.h>
#include <glib-object.h>

int ipatch_unit_sf2_abs_pitch_to_dls_abs_pitch (int sf2_abs_pitch);
int ipatch_unit_dls_abs_pitch_to_sf2_abs_pitch (int dls_abs_pitch);
float ipatch_unit_sf2_abs_pitch_to_hertz (int sf2_abs_pitch);
int ipatch_unit_hertz_to_sf2_abs_pitch (float hz);

int ipatch_unit_sf2_abs_time_to_dls_abs_time (int sf2_abs_time);
int ipatch_unit_dls_abs_time_to_sf2_abs_time (int dls_abs_time);
float ipatch_unit_sf2_abs_time_to_seconds (int sf2_abs_time);
int ipatch_unit_seconds_to_sf2_abs_time (float sec);

int ipatch_unit_centibel_to_dls_gain (int centibel);
int ipatch_unit_dls_gain_to_centibel (int dls_gain);
float ipatch_unit_centibel_to_decibel (int cb);
int ipatch_unit_decibel_to_centibel (float db);

#endif
